# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "s3-algo"
version = "0.2.3"
authors = ["Erlend Langseth <3rlendhl@gmail.com>"]
description = "High-performance algorithms for batch operations to Amazon S3"
documentation = "https://docs.rs/s3-algo/0.1.9/s3_algo/"
license = "MIT"
repository = "https://github.com/openanalytics/s3-algo"
[dependencies.bytes]
version = "0.5.4"

[dependencies.futures]
version = "0.3.1"

[dependencies.futures-retry]
version = "0.5.0"

[dependencies.futures-stopwatch]
version = "0.3.0"

[dependencies.rusoto_core]
version = "0.44.0"

[dependencies.rusoto_s3]
version = "0.44.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]
optional = true

[dependencies.snafu]
version = "0.6.1"
features = ["futures"]

[dependencies.tokio]
version = "0.2.13"
features = ["time", "fs", "macros", "rt-threaded", "io-util", "sync"]

[dependencies.tokio-util]
version = "0.2.0"
features = ["codec"]

[dependencies.walkdir]
version = "2.2.9"
[dev-dependencies.clap]
version = "2.33.0"

[dev-dependencies.multi-default-trait-impl]
version = "0.1.2"

[dev-dependencies.rand]
version = "0.7.0"

[dev-dependencies.tempdir]
version = "0.3.7"

[features]
default = ["serde1"]
serde1 = ["serde"]
